Subject: [NEXTEL-1] Plan To Charge All British Drivers During Rush-Hours Via Satellite Tracking

From: [email-masked]
Date: Mon, 09 Jun 2003 19:02:47 -0400

Plan To Charge All British Drivers During Rush-Hours Via Satellite Tracking

Link to article in The Observer (London, UK):

http://www.observer.co.uk/politics/story/0,6903,973035,00.html

------------------------ Yahoo! Groups Sponsor ---------------------~-->
Get A Free Psychic Reading! Your Online Answer To Life's Important Questions.
http://us.click.yahoo.com/Lj3uPC/Me7FAA/ySSFAA/61FxlB/TM
---------------------------------------------------------------------~->

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/